Skip to content

Get store departments

GET
/api/v2.0/stores/{storeId}/departments
curl --request GET \
--url 'https://api.diller.app/api/v2.0/stores/your-store-id/departments?onlyVisible=false' \
--header 'Authorization: Bearer <token>'
storeId
required
string

The store id

Example
your-store-id
onlyVisible
boolean

Whether to return only visible departments

OK

Media typeapplication/json
Array<object>
object
id
string
nullable
name
string
nullable
is_visible
boolean
Examplegenerated
[
{
"id": "example",
"name": "example",
"is_visible": true
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}